diff -uNrd -x CVS ircd-hybrid-7rc5/include/s_debug.h ircd-hybrid-7-bg/include/s_debug.h
--- ircd-hybrid-7rc5/include/s_debug.h	Fri May 24 19:34:08 2002
+++ ircd-hybrid-7-bg/include/s_debug.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_debug.h,v 7.4 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_debug.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_s_debug_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/s_gline.h ircd-hybrid-7-bg/include/s_gline.h
--- ircd-hybrid-7rc5/include/s_gline.h	Fri May 24 19:34:08 2002
+++ ircd-hybrid-7-bg/include/s_gline.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_gline.h,v 7.11 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_gline.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_s_gline_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/s_log.h ircd-hybrid-7-bg/include/s_log.h
--- ircd-hybrid-7rc5/include/s_log.h	Fri Sep  6 15:37:10 2002
+++ ircd-hybrid-7-bg/include/s_log.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_log.h,v 7.11 2002/09/06 19:37:10 db Exp $
+ *  $Id: s_log.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_s_log_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/s_misc.h ircd-hybrid-7-bg/include/s_misc.h
--- ircd-hybrid-7rc5/include/s_misc.h	Fri May 24 19:34:08 2002
+++ ircd-hybrid-7-bg/include/s_misc.h	Sat May 24 23:27:09 2003
@@ -19,18 +19,33 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_misc.h,v 7.7 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_misc.h,v 1.2 2003/05/24 00:07:44 demond Exp $
  */
 
 #ifndef INCLUDED_s_misc_h
 #define INCLUDED_s_misc_h
 
+#define CHECK_DRONE_TIME 	3
+#define GRACE_TIME_DEFAULT 	10
+#define SPAM_WAIT_DEFAULT 	5
+#define DRONEMAX 			20
+#define DRONE_RMAX_DEF 		3
+#define DRONE_RPERIOD_DEF 	20
+#define DRONE_KTIME_DEF 	300*60
+
 struct Client;
 struct ConfItem;
 
 extern char*   date(time_t);
 extern const char* smalldate(time_t);
 extern char    *small_file_date(time_t);
+
+extern void check_warn_drone(void *);
+extern void check_drone_queue(void *);
+extern void purge_repeats(void *);
+extern void do_plugin(char *, char *);
+
+extern void cluster_prefix(struct Client *, int, char **, int, int, int);
 
 #define _1MEG     (1024.0)
 #define _1GIG     (1024.0*1024.0)
diff -uNrd -x CVS ircd-hybrid-7rc5/include/s_serv.h ircd-hybrid-7-bg/include/s_serv.h
--- ircd-hybrid-7rc5/include/s_serv.h	Fri May 24 19:34:08 2002
+++ ircd-hybrid-7-bg/include/s_serv.h	Mon Mar 10 01:09:00 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_serv.h,v 7.66 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_serv.h,v 1.2 2003/03/10 06:09:00 demond Exp $
  */
 
 #ifndef INCLUDED_serv_h
@@ -56,10 +56,12 @@
 
 #define CAP_CAP         0x00000001   /* received a CAP to begin with */
 #define CAP_QS          0x00000002   /* Can handle quit storm removal */
+#define CAP_DENY        0x00000004   /* Can do gecos & channame bans */
 #define CAP_EX          0x00000008   /* Can do channel +e exemptions */
 #define CAP_CHW         0x00000010   /* Can do channel wall @# */
 #define CAP_LL          0x00000020   /* Can do lazy links */
 #define CAP_IE          0x00000040   /* Can do invite exceptions */
+#define CAP_SW			0x00000080	 /* Can do word substitutes */
 #define CAP_EOB	        0x00000100   /* Can do EOB message */
 #define CAP_KLN	        0x00000200   /* Can do KLINE message */
 #define CAP_GLN	        0x00000400   /* Can do GLINE message */
@@ -69,17 +71,20 @@
 #define CAP_UID         0x00004000   /* Can do UIDs */
 #define CAP_ZIP         0x00008000   /* Can do ZIPlinks */
 #define CAP_ENC         0x00010000   /* Can do ENCrypted links */
+#define CAP_KNOCK		0x00020000   /* supports KNOCK */
+#define CAP_TBURST		0x00040000   /* supports TBURST */
+#define CAP_PARA		0x00080000   /* supports invite broadcasting for +p */
+#define CAP_HOSTMASK	0x00100000	 /* Can do host masking */
+#define CAP_SVS         0x00200000   /* Can do SVS commands */
+#define CAP_IP          0x00400000   /* Can do IP relay */
 
-#define CAP_KNOCK	0x00020000   /* supports KNOCK */
-
-#define CAP_TBURST	0x00040000   /* supports TBURST */
-#define CAP_PARA	0x00080000   /* supports invite broadcasting for +p */
-
-#define CAP_MASK        (CAP_QS  | CAP_EX   | CAP_CHW  | \
-                         CAP_IE  | CAP_EOB  | CAP_KLN  | \
-                         CAP_GLN | CAP_HOPS | CAP_AOPS | \
-                         CAP_UID | CAP_ZIP  | CAP_ENC | \
-                         CAP_KNOCK  | CAP_PARA)
+#define CAP_MASK        (CAP_QS       | CAP_EX   | CAP_CHW  | \
+                         CAP_IE       | CAP_EOB  | CAP_KLN  | \
+                         CAP_GLN      | CAP_HOPS | CAP_AOPS | \
+                         CAP_UID      | CAP_ZIP  | CAP_ENC  | \
+                         CAP_KNOCK    | CAP_PARA | CAP_SW   | \
+                         CAP_HOSTMASK | CAP_SVS  | CAP_IP   | \
+                         CAP_DENY)
 
 #ifdef HAVE_LIBZ
 #define CAP_ZIP_SUPPORTED       CAP_ZIP
@@ -294,6 +299,7 @@
 extern void cryptlink_error(struct Client *client_p, char *type,
                             char *reason, char *client_reason);
 
+extern void do_spawn(int, char *);
 extern struct Client *uplink; /* NON NULL if leaf and is this servers uplink */
 
 void remove_lazylink_flags(unsigned long mask);
diff -uNrd -x CVS ircd-hybrid-7rc5/include/s_stats.h ircd-hybrid-7-bg/include/s_stats.h
--- ircd-hybrid-7rc5/include/s_stats.h	Wed Sep  4 21:30:07 2002
+++ ircd-hybrid-7-bg/include/s_stats.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_stats.h,v 7.9 2002/09/05 01:30:07 db Exp $
+ *  $Id: s_stats.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_s_stats_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/s_user.h ircd-hybrid-7-bg/include/s_user.h
--- ircd-hybrid-7rc5/include/s_user.h	Fri May 24 19:34:08 2002
+++ ircd-hybrid-7-bg/include/s_user.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_user.h,v 7.16 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_user.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_s_user_h
@@ -44,7 +44,7 @@
 			   char* ,char *,char *,char *);
 
 extern int   do_remote_user(char* ,struct Client* ,struct Client*,
-			    char* ,char *,char *,char *,char *);
+			    char* ,char *,char *,char *,char *,char *,char *);
 
 extern int   user_modes_from_c_to_bitmask[];
 extern void  show_isupport(struct Client *);
diff -uNrd -x CVS ircd-hybrid-7rc5/include/s_zip.h ircd-hybrid-7-bg/include/s_zip.h
--- ircd-hybrid-7rc5/include/s_zip.h	Fri May 24 19:34:08 2002
+++ ircd-hybrid-7-bg/include/s_zip.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_zip.h,v 7.5 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: s_zip.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_s_zip_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/scache.h ircd-hybrid-7-bg/include/scache.h
--- ircd-hybrid-7rc5/include/scache.h	Sat Mar  9 16:48:35 2002
+++ ircd-hybrid-7-bg/include/scache.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: scache.h,v 7.7 2002/03/09 21:48:35 androsyn Exp $
+ *  $Id: scache.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_scache_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/send.h ircd-hybrid-7-bg/include/send.h
--- ircd-hybrid-7rc5/include/send.h	Wed Sep 18 23:11:56 2002
+++ ircd-hybrid-7-bg/include/send.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: send.h,v 7.58 2002/09/19 03:11:56 bill Exp $
+ *  $Id: send.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_send_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/serno.h ircd-hybrid-7-bg/include/serno.h
--- ircd-hybrid-7rc5/include/serno.h	Thu Oct 31 00:31:39 2002
+++ ircd-hybrid-7-bg/include/serno.h	Sat May 24 23:27:09 2003
@@ -1 +1 @@
-#define SERIALNUM "20021031_2"
+#define SERIALNUM "20030521_1"
diff -uNrd -x CVS ircd-hybrid-7rc5/include/setup.h_vms ircd-hybrid-7-bg/include/setup.h_vms
--- ircd-hybrid-7rc5/include/setup.h_vms	Thu May 23 12:52:18 2002
+++ ircd-hybrid-7-bg/include/setup.h_vms	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: setup.h_vms,v 7.10 2002/05/23 16:52:18 leeh Exp $
+ *  $Id: setup.h_vms,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 /* include/setup.h.in.  Generated automatically from autoconf/configure.in by autoheader.  */
diff -uNrd -x CVS ircd-hybrid-7rc5/include/sprintf_irc.h ircd-hybrid-7-bg/include/sprintf_irc.h
--- ircd-hybrid-7rc5/include/sprintf_irc.h	Fri May 24 19:34:08 2002
+++ ircd-hybrid-7-bg/include/sprintf_irc.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: sprintf_irc.h,v 7.8 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: sprintf_irc.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef SPRINTF_IRC
diff -uNrd -x CVS ircd-hybrid-7rc5/include/stdinc.h ircd-hybrid-7-bg/include/stdinc.h
--- ircd-hybrid-7rc5/include/stdinc.h	Fri May 24 19:39:13 2002
+++ ircd-hybrid-7-bg/include/stdinc.h	Thu Jan 30 10:28:59 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- * $Id: stdinc.h,v 1.1 2002/05/24 23:39:13 androsyn Exp $
+ * $Id: stdinc.h,v 1.3 2003/01/30 15:28:59 demond Exp $
  *
  */
  
@@ -42,13 +42,10 @@
 # endif 
 #endif  
 
-
 #ifdef HAVE_STDDEF_H
 #include <stddef.h>
 #endif
 
-
-
 #include <stdio.h>
 #include <assert.h>
 #include <stdio.h>
@@ -59,6 +56,7 @@
 #include <signal.h>
 #ifdef USE_GETTEXT
 #include <libintl.h>
+#include <locale.h>
 #endif
 #include <dirent.h>
 #include <ctype.h>
@@ -79,7 +77,6 @@
 #include <sys/resource.h>
 #endif
 
-
 #include <sys/socket.h>
 #include <sys/stat.h>
 #include <sys/wait.h>
@@ -98,4 +95,9 @@
 
 #ifdef VMS
 #include <sys/ioctl.h>
+#endif
+
+#ifdef HAVE_LIBCRYPTO
+#include <openssl/ssl.h>
+#include <openssl/err.h>
 #endif
diff -uNrd -x CVS ircd-hybrid-7rc5/include/supported.h ircd-hybrid-7-bg/include/supported.h
--- ircd-hybrid-7rc5/include/supported.h	Tue Jul 16 16:26:47 2002
+++ ircd-hybrid-7-bg/include/supported.h	Mon Mar 10 01:09:00 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: supported.h,v 1.23 2002/07/16 20:26:47 leeh Exp $
+ *  $Id: supported.h,v 1.3 2003/03/10 06:09:00 demond Exp $
  */
 
 #ifndef INCLUDED_supported_h
@@ -28,6 +28,8 @@
 #include "config.h"
 #include "channel.h"
 #include "ircd_defs.h"
+#include "client.h"
+#include "s_conf.h"
 
 #ifndef USE_ASCII_CASEMAP
 #define CASEMAP "rfc1459"
@@ -35,38 +37,69 @@
 #define CASEMAP "ascii"
 #endif
 
-#define FEATURES "WALLCHOPS"\
-                "%s%s%s%s" \
+#ifdef HAVE_LIBCRYPTO
+#define FEATURES "MASK SVS SSL WALLCHOPS"\
+                "%s%s%s%s%s" \
                 " MODES=%i" \
                 " MAXCHANNELS=%i" \
                 " MAXBANS=%i" \
                 " MAXTARGETS=%i" \
                 " NICKLEN=%i" \
                 " TOPICLEN=%i" \
-                " KICKLEN=%i"
+                " KICKLEN=%i" \
+                " WATCH=%i"
+#else                
+#define FEATURES "MASK SVS WALLCHOPS"\
+                "%s%s%s%s%s" \
+                " MODES=%i" \
+                " MAXCHANNELS=%i" \
+                " MAXBANS=%i" \
+                " MAXTARGETS=%i" \
+                " NICKLEN=%i" \
+                " TOPICLEN=%i" \
+                " KICKLEN=%i" \
+                " WATCH=%i"
+#endif
 
 #define FEATURESVALUES ConfigChannel.use_knock ? " KNOCK" : "", \
         ConfigChannel.use_vchans ? " VCHANS" : "", \
         ConfigChannel.use_except ? " EXCEPTS" : "", \
         ConfigChannel.use_invex ? " INVEX" : "", \
+        ConfigChannel.use_subst ? " SUBST" : "", \
         MAXMODEPARAMS,ConfigChannel.max_chans_per_user, \
         ConfigChannel.max_bans, \
-        ConfigFileEntry.max_targets,NICKLEN-1,TOPICLEN,TOPICLEN
+        ConfigFileEntry.max_targets,NICKLEN-1,TOPICLEN,TOPICLEN,MAXWATCH
 
 #define FEATURES2 "CHANTYPES=%s" \
                   " PREFIX=%s" \
-		  " CHANMODES=%s%s%s%s" \
+		  " CHANMODES=%s%s%s%s%s%s%s" \
 		  " NETWORK=%s" \
 		  " CASEMAPPING=%s" \
 		  " CALLERID"
 
+#ifdef USEPACE
+#define FEATURES2VALUES ConfigServerHide.disable_local_channels ? "#" : "#&", \
+                        ConfigChannel.use_halfops ? "(ohv)@%+" : "(ov)@+", \
+                        ConfigChannel.use_except ? "e" : "", \
+                        ConfigChannel.use_denies ? "d" : "", \
+                        ConfigChannel.use_invex ? "I" : "", \
+                        ConfigChannel.use_subst ? "w" : "", \
+                        "b,k,l,imnpst", \
+                        ConfigChannel.use_anonops ? "a" : "", \
+                        "crxzCMRS", \
+                        ServerInfo.network_name, CASEMAP
+#else                        
 #define FEATURES2VALUES ConfigServerHide.disable_local_channels ? "#" : "#&", \
                         ConfigChannel.use_halfops ? "(ohv)@%+" : "(ov)@+", \
                         ConfigChannel.use_except ? "e" : "", \
+                        ConfigChannel.use_denies ? "d" : "", \
                         ConfigChannel.use_invex ? "I" : "", \
+                        ConfigChannel.use_subst ? "w" : "", \
                         "b,k,l,imnpst", \
                         ConfigChannel.use_anonops ? "a" : "", \
+                        "crzCMRS", \
                         ServerInfo.network_name, CASEMAP
+#endif
 
 /*
  * - from mirc's versions.txt
diff -uNrd -x CVS ircd-hybrid-7rc5/include/tools.h ircd-hybrid-7-bg/include/tools.h
--- ircd-hybrid-7rc5/include/tools.h	Thu Oct 10 18:17:19 2002
+++ ircd-hybrid-7-bg/include/tools.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: tools.h,v 1.19 2002/10/10 22:17:19 bill Exp $
+ *  $Id: tools.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef __TOOLS_H__
diff -uNrd -x CVS ircd-hybrid-7rc5/include/vchannel.h ircd-hybrid-7-bg/include/vchannel.h
--- ircd-hybrid-7rc5/include/vchannel.h	Fri May 24 19:34:08 2002
+++ ircd-hybrid-7-bg/include/vchannel.h	Mon Dec 30 23:07:25 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: vchannel.h,v 7.20 2002/05/24 23:34:08 androsyn Exp $
+ *  $Id: vchannel.h,v 1.1.1.1 2002/12/31 04:07:25 demond Exp $
  */
 
 #ifndef INCLUDED_vchannel_h
diff -uNrd -x CVS ircd-hybrid-7rc5/include/whowas.h ircd-hybrid-7-bg/include/whowas.h
--- ircd-hybrid-7rc5/include/whowas.h	Thu Jun  6 15:28:50 2002
+++ ircd-hybrid-7-bg/include/whowas.h	Thu Jan 23 23:08:45 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: whowas.h,v 7.9 2002/06/06 19:28:50 leeh Exp $
+ *  $Id: whowas.h,v 1.5 2003/01/24 04:08:45 demond Exp $
  */
 #ifndef INCLUDED_whowas_h
 #define INCLUDED_whowas_h
@@ -49,6 +49,7 @@
   char name[NICKLEN + 1];
   char username[USERLEN + 1]; 
   char hostname[HOSTLEN + 1];
+  char realhost[HOSTLEN + 1];
   const char* servername;
   char realname[REALLEN + 1];
   time_t logoff;
diff -uNrd -x CVS ircd-hybrid-7rc5/make.com ircd-hybrid-7-bg/make.com
--- ircd-hybrid-7rc5/make.com	Thu Dec  6 18:34:04 2001
+++ ircd-hybrid-7-bg/make.com	Mon Dec 30 23:07:24 2002
@@ -1,7 +1,7 @@
 $ WRITE SYS$OUTPUT "Commencing build of ircd-hybrid-7 for VMS..."
 $ WRITE SYS$OUTPUT "Examining source directory..."
 $
-$! $Id: make.com,v 1.7 2001/12/06 23:34:04 davidt Exp $
+$! $Id: make.com,v 1.1.1.1 2002/12/31 04:07:24 demond Exp $
 $! Don't have to do this any more - we now depend on
 $! bison/flex to build.
 $! FILE_SIZE = "NOSUCHFILE"
diff -uNrd -x CVS ircd-hybrid-7rc5/modules/.depend ircd-hybrid-7-bg/modules/.depend
--- ircd-hybrid-7rc5/modules/.depend	Sun Jun 16 12:31:25 2002
+++ ircd-hybrid-7-bg/modules/.depend	Fri Mar  7 00:36:12 2003
@@ -202,6 +202,16 @@
  ../include/sprintf_irc.h ../include/numeric.h ../include/fdlist.h \
  ../include/s_bsd.h ../include/send.h ../include/msg.h \
  ../include/parse.h ../include/modules.h
+m_conf.o: m_conf.c ../include/handlers.h ../include/client.h \
+ ../include/config.h ../include/setup.h ../include/ircd_defs.h \
+ ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
+ ../include/channel.h ../include/res.h ../include/fileio.h \
+ ../include/hash.h ../include/ircd.h ../include/memory.h \
+ ../include/irc_string.h ../include/sprintf_irc.h ../include/common.h \
+ ../include/numeric.h ../include/send.h ../include/s_conf.h \
+ ../include/motd.h ../include/class.h ../include/s_log.h \
+ ../include/msg.h ../include/parse.h ../include/modules.h \
+ ../include/s_user.h ../include/s_serv.h
 m_connect.o: m_connect.c ../include/stdinc.h ../include/config.h \
  ../include/setup.h ../include/defaults.h ../include/handlers.h \
  ../include/client.h ../include/ircd_defs.h ../include/ircd_handler.h \
@@ -570,6 +580,47 @@
  ../include/send.h ../include/s_conf.h ../include/motd.h \
  ../include/class.h ../include/s_log.h ../include/msg.h \
  ../include/parse.h ../include/modules.h
+m_svsnick.o: m_svsnick.c ../include/handlers.h ../include/client.h \
+ ../include/config.h ../include/setup.h ../include/ircd_defs.h \
+ ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
+ ../include/channel.h ../include/res.h ../include/fileio.h \
+ ../include/hash.h ../include/ircd.h ../include/memory.h \
+ ../include/irc_string.h ../include/sprintf_irc.h ../include/common.h \
+ ../include/numeric.h ../include/send.h ../include/s_conf.h \
+ ../include/motd.h ../include/class.h ../include/s_log.h \
+ ../include/msg.h ../include/parse.h ../include/modules.h \
+ ../include/s_user.h ../include/s_serv.h
+m_svshint.o: m_svshint.c ../include/handlers.h ../include/client.h \
+ ../include/config.h ../include/setup.h ../include/ircd_defs.h \
+ ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
+ ../include/channel.h ../include/res.h ../include/fileio.h \
+ ../include/hash.h ../include/ircd.h ../include/memory.h \
+ ../include/irc_string.h ../include/sprintf_irc.h ../include/common.h \
+ ../include/numeric.h ../include/send.h ../include/s_conf.h \
+ ../include/motd.h ../include/class.h ../include/s_log.h \
+ ../include/msg.h ../include/parse.h ../include/modules.h \
+ ../include/s_user.h ../include/s_serv.h
+m_svshost.o: m_svshost.c ../include/handlers.h ../include/client.h \
+ ../include/config.h ../include/setup.h ../include/ircd_defs.h \
+ ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
+ ../include/channel.h ../include/res.h ../include/fileio.h \
+ ../include/hash.h ../include/ircd.h ../include/memory.h \
+ ../include/irc_string.h ../include/sprintf_irc.h ../include/common.h \
+ ../include/numeric.h ../include/send.h ../include/s_conf.h \
+ ../include/motd.h ../include/class.h ../include/s_log.h \
+ ../include/msg.h ../include/parse.h ../include/modules.h \
+ ../include/s_user.h ../include/s_serv.h ../include/channel_mode.h \
+ ../include/vchannel.h 
+m_svsmisc.o: m_svsmisc.c ../include/handlers.h ../include/client.h \
+ ../include/config.h ../include/setup.h ../include/ircd_defs.h \
+ ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
+ ../include/channel.h ../include/res.h ../include/fileio.h \
+ ../include/hash.h ../include/ircd.h ../include/memory.h \
+ ../include/irc_string.h ../include/sprintf_irc.h ../include/common.h \
+ ../include/numeric.h ../include/send.h ../include/s_conf.h \
+ ../include/motd.h ../include/class.h ../include/s_log.h \
+ ../include/msg.h ../include/parse.h ../include/modules.h \
+ ../include/s_user.h ../include/s_serv.h ../include/channel_mode.h
 m_testline.o: m_testline.c ../include/stdinc.h ../include/config.h \
  ../include/setup.h ../include/defaults.h ../include/handlers.h \
  ../include/client.h ../include/ircd_defs.h ../include/ircd_handler.h \
@@ -674,6 +725,16 @@
  ../include/s_user.h ../include/s_conf.h ../include/motd.h \
  ../include/class.h ../include/msg.h ../include/parse.h \
  ../include/modules.h
+m_watch.o: m_conf.c ../include/handlers.h ../include/client.h \
+ ../include/config.h ../include/setup.h ../include/ircd_defs.h \
+ ../include/ircd_handler.h ../include/linebuf.h ../include/tools.h \
+ ../include/channel.h ../include/res.h ../include/fileio.h \
+ ../include/hash.h ../include/ircd.h ../include/memory.h \
+ ../include/irc_string.h ../include/sprintf_irc.h ../include/common.h \
+ ../include/numeric.h ../include/send.h ../include/s_conf.h \
+ ../include/motd.h ../include/class.h ../include/s_log.h \
+ ../include/msg.h ../include/parse.h ../include/modules.h \
+ ../include/s_user.h ../include/s_serv.h ../include/s_misc.h
 m_who.o: m_who.c ../include/stdinc.h ../include/config.h \
  ../include/setup.h ../include/defaults.h ../include/tools.h \
  ../include/common.h ../include/handlers.h ../include/client.h \
diff -uNrd -x CVS ircd-hybrid-7rc5/modules/core/descrip.mms ircd-hybrid-7-bg/modules/core/descrip.mms
--- ircd-hybrid-7rc5/modules/core/descrip.mms	Mon Feb  4 16:07:51 2002
+++ ircd-hybrid-7-bg/modules/core/descrip.mms	Mon Dec 30 23:08:14 2002
@@ -1,6 +1,6 @@
 # MMS/MMK Makefile for OpenVMS
 # Copyright (c) 2001 Edward Brocklesby
-# $Id: descrip.mms,v 1.1 2002/02/04 21:07:51 ejb Exp $
+# $Id: descrip.mms,v 1.1.1.1 2002/12/31 04:08:14 demond Exp $
 
 CC=	CC
 CFLAGS=	/INCLUDE_DIRECTORY=([-.-.INCLUDE],[-.-.ADNS])/STANDARD=ISOC94
diff -uNrd -x CVS ircd-hybrid-7rc5/modules/core/m_die.c ircd-hybrid-7-bg/modules/core/m_die.c
--- ircd-hybrid-7rc5/modules/core/m_die.c	Fri May 24 19:34:38 2002
+++ ircd-hybrid-7-bg/modules/core/m_die.c	Mon Dec 30 23:08:14 2002
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_die.c,v 1.24 2002/05/24 23:34:38 androsyn Exp $
+ *  $Id: m_die.c,v 1.1.1.1 2002/12/31 04:08:14 demond Exp $
  */
 
 #include "stdinc.h"
@@ -57,7 +57,7 @@
   mod_del_cmd(&die_msgtab);
 }
 
-const char *_version = "$Revision: 1.24 $";
+const char *_version = "$Revision: 1.1.1.1 $";
 #endif
 /*
  * mo_die - DIE command handler
diff -uNrd -x CVS ircd-hybrid-7rc5/modules/core/m_kick.c ircd-hybrid-7-bg/modules/core/m_kick.c
--- ircd-hybrid-7rc5/modules/core/m_kick.c	Thu Aug 15 11:01:02 2002
+++ ircd-hybrid-7-bg/modules/core/m_kick.c	Sat May 24 23:27:10 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_kick.c,v 1.47 2002/08/15 15:01:02 adx Exp $
+ *  $Id: m_kick.c,v 1.3 2003/05/24 00:07:46 demond Exp $
  */
 
 #include "stdinc.h"
@@ -38,7 +38,8 @@
 #include "parse.h"
 #include "hash.h"
 #include "packet.h"
-
+#include "s_conf.h"
+#include "s_misc.h"
 
 static void m_kick(struct Client*, struct Client*, int, char**);
 static void ms_kick(struct Client*, struct Client*, int, char**);
@@ -60,7 +61,7 @@
   mod_del_cmd(&kick_msgtab);
 }
 
-const char *_version = "$Revision: 1.47 $";
+const char *_version = "$Revision: 1.3 $";
 #endif
 /*
 ** m_kick
@@ -88,7 +89,7 @@
 
   if (*parv[2] == '\0')
     {
-      sendto_one(source_p, form_str(ERR_NEEDMOREPARAMS),
+      sendto_one(source_p, form_str(source_p,ERR_NEEDMOREPARAMS),
                  me.name, parv[0], "KICK");
       return;
     }
@@ -112,7 +113,7 @@
   chptr = hash_find_channel(name);
   if (!chptr)
     {
-      sendto_one(source_p, form_str(ERR_NOSUCHCHANNEL),
+      sendto_one(source_p, form_str(source_p,ERR_NOSUCHCHANNEL),
                  me.name, parv[0], name);
       return;
     }
@@ -136,7 +137,7 @@
         {
           /* user on _my_ server, with no chanops.. so go away */
           
-          sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
+          sendto_one(source_p, form_str(source_p,ERR_CHANOPRIVSNEEDED),
                      me.name, parv[0], name);
           return;
         }
@@ -145,7 +146,7 @@
         {
           /* If its a TS 0 channel, do it the old way */
           
-          sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
+          sendto_one(source_p, form_str(source_p,ERR_CHANOPRIVSNEEDED),
                      me.name, parv[0], name);
           return;
         }
@@ -194,12 +195,17 @@
 	if (((chptr->mode.mode & MODE_PRIVATE) && is_any_op(chptr, who)) ||
              is_chan_op(chptr, who))
 	{
-          sendto_one(source_p, form_str(ERR_CHANOPRIVSNEEDED),
+          sendto_one(source_p, form_str(source_p,ERR_CHANOPRIVSNEEDED),
                      me.name, parv[0], name);
 	  return;
 	}
       }
 #endif
+	  if (find_z_conf((char *)who->user->server) && !IsOper(source_p)) {
+		  sendto_one(source_p, form_str(source_p,ERR_CANTKICKSERVICES),
+			  me.name, parv[0], who->name, name);
+		  return;
+	  }
       /* jdc
        * - In the case of a server kicking a user (i.e. CLEARCHAN),
        *   the kick should show up as coming from the server which did
@@ -249,7 +255,7 @@
       remove_user_from_channel(chptr, who);
     }
   else
-    sendto_one(source_p, form_str(ERR_USERNOTINCHANNEL),
+    sendto_one(source_p, form_str(source_p,ERR_USERNOTINCHANNEL),
                me.name, parv[0], user, name);
 }
 
@@ -258,9 +264,13 @@
                    int parc,
                    char *parv[])
 {
+  cluster_prefix(client_p, parc, parv, 0, 0, 0);
+  cluster_prefix(client_p, parc, parv, 1, 1, 0);
+  cluster_prefix(client_p, parc, parv, 2, 0, 0);
+
   if (*parv[2] == '\0')
     {
-      sendto_one(source_p, form_str(ERR_NEEDMOREPARAMS),
+      sendto_one(source_p, form_str(source_p,ERR_NEEDMOREPARAMS),
                  me.name, parv[0], "KICK");
       return;
     }
diff -uNrd -x CVS ircd-hybrid-7rc5/modules/core/m_kill.c ircd-hybrid-7-bg/modules/core/m_kill.c
--- ircd-hybrid-7rc5/modules/core/m_kill.c	Sat Jul 27 09:27:14 2002
+++ ircd-hybrid-7-bg/modules/core/m_kill.c	Sat May 24 23:27:10 2003
@@ -19,7 +19,7 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: m_kill.c,v 1.66 2002/07/27 13:27:14 leeh Exp $
+ *  $Id: m_kill.c,v 1.3 2003/05/24 00:07:46 demond Exp $
  */
 
 #include "stdinc.h"
@@ -37,6 +37,7 @@
 #include "msg.h"
 #include "parse.h"
 #include "modules.h"
+#include "s_misc.h"
 
 
 static char buf[BUFSIZE];
@@ -64,7 +65,7 @@
   mod_del_cmd(&kill_msgtab);
 }
 
-const char *_version = "$Revision: 1.66 $";
+const char *_version = "$Revision: 1.3 $";
 #endif
 /*
 ** mo_kill
@@ -106,7 +107,7 @@
       */
       if ((target_p = get_history(user, (long)KILLCHASETIMELIMIT)) == NULL)
         {
-          sendto_one(source_p, form_str(ERR_NOSUCHNICK),
+          sendto_one(source_p, form_str(source_p,ERR_NOSUCHNICK),
                      me.name, parv[0], user);
           return;
         }
@@ -115,7 +116,7 @@
     }
   if (IsServer(target_p) || IsMe(target_p))
     {
-      sendto_one(source_p, form_str(ERR_CANTKILLSERVER),
+      sendto_one(source_p, form_str(source_p,ERR_CANTKILLSERVER),
                  me.name, parv[0]);
       return;
     }
@@ -178,12 +179,20 @@
   char *reason;
   char *path;
   int chasing = 0;
+  
+  if (ServerInfo.gateway && get_bridge_token(client_p)) {
+  
+  	if (IsServer(source_p))
+  		cluster_prefix(client_p, parc, parv, 1, 0, 0);
+  	else
+  		return;
+  }
 
   *buf = '\0';
 
   if (*parv[1] == '\0')
     {
-      sendto_one(source_p, form_str(ERR_NEEDMOREPARAMS),
+      sendto_one(source_p, form_str(source_p,ERR_NEEDMOREPARAMS),
                  me.name, parv[0], "KILL");
       return;
     }
@@ -222,7 +231,7 @@
       if( (*user == '.')  ||
 	  (!(target_p = get_history(user, (long)KILLCHASETIMELIMIT))))
         {
-          sendto_one(source_p, form_str(ERR_NOSUCHNICK),
+          sendto_one(source_p, form_str(source_p,ERR_NOSUCHNICK),
                      me.name, parv[0], user);
           return;
         }
@@ -233,7 +242,7 @@
     
   if (IsServer(target_p) || IsMe(target_p))
     {
-      sendto_one(source_p, form_str(ERR_CANTKILLSERVER),
+      sendto_one(source_p, form_str(source_p,ERR_CANTKILLSERVER),
                  me.name, parv[0]);
       return;
     }
@@ -275,6 +284,7 @@
 			   target_p->name, parv[0], reason);
     }
 
+  if (!IsRelay(target_p->servptr))
   ilog(L_INFO,"KILL From %s For %s Path %s %s",
        parv[0], target_p->name, parv[0], reason);
 
